Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista
Class ToPLSql

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.dista.ToPLSql

Direct Known Subclasses:
  C452PLSql, CorrelResult2PLSql

    public class ToPLSql

extends java.lang.Object

Version:
  $Id: ToPLSql.java,v 1.5 2006/09/27 15:00:03 euler Exp $
Author:
  Alessandro Serra

Field Summary
`protected MetaData` | `m_md`
`protected java.lang.String` | `m_result_name`
`protected DB` | `m4db`

Constructor Summary
`ToPLSql()`

Method Summary
`void` | `convert(java.lang.Object o)`
`void` | `convertToFunctionOn(java.io.PrintWriter w, java.lang.Object o)`
`DB` | `getM4Db()`
`java.lang.String` | `getResultName()`
`protected void` | `printAttr(java.io.PrintWriter w, java.lang.String a)`
`protected void` | `printFuncDeclaration(java.io.PrintWriter w)`
`protected void` | `printFuncHeader(java.io.PrintWriter w)`
`protected void` | `printFuncTrailer(java.io.PrintWriter w)`
`protected void` | `printSpaceOn(java.io.PrintWriter w, int s)`
`void` | `setConnection(DB m4db)`
`void` | `setMetaData(MetaData md)`
`void` | `setResultName(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_result_name

    protected java.lang.String m_result_name

### m_md

    protected MetaData m_md

### m4db

    protected DB m4db

Constructor Detail

### ToPLSql

    public ToPLSql()

Method Detail

### getM4Db

    public DB getM4Db()

### setMetaData

    public void setMetaData(MetaData md)

### getResultName

    public java.lang.String getResultName()

### setResultName

    public void setResultName(java.lang.String s)

### setConnection

    public void setConnection(DB m4db)

### convertToFunctionOn

    public void convertToFunctionOn(java.io.PrintWriter w,
                                    java.lang.Object o)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### convert

    public void convert(java.lang.Object o)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### printSpaceOn

    protected void printSpaceOn(java.io.PrintWriter w,
                                int s)

### printAttr

    protected void printAttr(java.io.PrintWriter w,
                             java.lang.String a)

### printFuncHeader

    protected void printFuncHeader(java.io.PrintWriter w)

### printFuncDeclaration

    protected void printFuncDeclaration(java.io.PrintWriter w)

### printFuncTrailer

    protected void printFuncTrailer(java.io.PrintWriter w)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005